.item-image img, .article-image img {
    object-fit: contain; /* Ensures the whole image is visible */
    width: 100%;
    height: auto;
}

/* LOGO */
img[alt="Manhadsch Deutsch"] {
  display: block;
  margin-left: auto;
  margin-right: auto;
}

/* MENU */
.container-header .navbar-brand,
.grid-child {
  display: block;
}
.mod-menu {
  flex-direction: row;
  gap: 10px;
}

/* FOOTER */
.footer .grid-child {
  padding: 1.2rem .5em;
}
.container-footer {
  background-color: rgb(13, 51, 88);
}
/* END: FOOTER */

h6, .h6, h5, .h5, h4, .h4, h3, .h3, h2, .h2, h1, .h1 {
  margin-bottom: 1.0rem;
}

body {
  font-size: 16px;
}

p {
  margin-bottom: 0.5rem;
}

blockquote,
.redblock {
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 5px;
  padding-bottom: 5px;
}

blockquote {
  border-left: solid 4px #d1e8fc;
  background-color: aliceblue;
}
.redblock {
  border-left: solid 4px #fcd1d1;
  background-color: #fff0f0;
}

.footnotes {
  color: #525252;
  font-size: 0.85em;
  line-height: 1.5;
}

.footnotes p {
  margin: 0px;
}

sup {
  color: #df0000;
  font-weight: bold;
}

.article-info-term {
  display: none;
}
.article-info {
 display: flex;
 gap: 10px
}


/* EIGENE ERGANZUNG ---*/

.responsive-image {
  width: 100%;
  height: auto; /* Or any fixed height you need */
  object-fit: cover; /* Crops the edges to fill the box without stretching */
  object-position: center; /* Ensures the middle of the photo stays visible */
}
.responsive-video {
  position: relative;
  padding-bottom: 56.25%; /* 16:9 aspect ratio */
  height: 0;
  overflow: hidden;
  max-width: 100%;
}

.responsive-video iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border: 0;
}

/* TEXT FORMAT ---*/
.hadith-arabisch {
  font-size: 1.2em;
  color: #3366ff;
  font-family: arabic-font;
  direction: rtl;
  margin-bottom: 0rem;
}
.hadith-deutsch {
  color: #3366ff;
}


.quran-ayah-arabisch {
	font-size: 1.2em;
  color: #3366ff;
  direction: rtl;
  font-family: arabic-font;
  margin-bottom: 0rem;
}
.quran-ayah-deutsch {
  color: #3366ff;
}

.dark-active .quran-ayah-arabisch {
  color: #3d96ff;
}
.dark-active .quran-ayah-deutsch {
  color: #3d96ff;
}
/* END TEXT FORMAT ---*/

/* ARABISCH FONT */

@font-face {
    font-family: 'arabic-font';
    src: url("/images/fonts/ScheherazadeNew.woff2") format("woff2"),
    url("/images/fonts/ScheherazadeNew.woff") format("woff"),
    url("/images/fonts/ScheherazadeNew.ttf") format("truetype");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'symbols';
    src: url("/images/fonts/symbols.woff2") format("woff2"),
    url("/images/fonts/symbols.woff") format("woff");
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'gentiumplus';
    src: url("/images/fonts/GentiumPlus-Regular.woff2") format("woff2"),
    url("/images/fonts/GentiumPlus-Regular.woff") format("woff");
    font-weight: normal;
    font-style: normal;
}

/* VOM DRUCK BILDSCHIRM AUSSCHLIESSEN */

@media print {
    /* Hide specific elements */
    .dont-print,
    .article-info,
    .header,
    .container-sidebar-right,
    audio {
      display: none !important;
    }

    /* Remove link URLs after anchor text */
    a[href]:after {
        content: "" !important;
    }

    body,
    .com-content-article__body {
      font-size: 11pt !important;
    }

    h1 {
      font-size: 16.5pt !important;
    }
    h2 {
      font-size: 15pt !important;
    }
    h3 {
      font-size: 13.5pt !important;
    }
    h4 {
      font-size: 12pt !important;
    }
    
    body, html, .wrapper, .container {
      width: 100% !important;
      margin: 0 !important;
      padding: 0 !important;
      float: none !important;
      overflow: visible !important; /* Fixes hidden content */
    }

    /* 2. Prevent content from being cut in half horizontally */
    p, blockquote, pre, img, table, div {
      page-break-inside: avoid;
    }

    /* 3. Remove fixed heights that cause vertical cuts */
    div {
      height: auto !important;
    }

}